Bug 833846 - [OSS] cartridge-jbossas-7 and cartridge-jenkins-1.4 dependency should be resolved when building Multi-node OpenShift Origin PaaS from scratch
[OSS] cartridge-jbossas-7 and cartridge-jenkins-1.4 dependency should be reso...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Krishna Raman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 09:11 EDT by Johnny Liu
Modified: 2015-05-14 21:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-25 14:26:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2012-06-20 09:11:23 EDT
Description of problem:
Following http://www.krishnaraman.net/multi-node-openshift-origin-from-scratch/ to set multi-node, when running "rake devbroker" or "rake devnode", the following is seen:
...snip...
Skipped (dependency problems):
  cartridge-jbossas-7.noarch 0:0.94.4-1.git.0.5597aab.fc16            cartridge-jenkins-1.4.noarch 0:0.94.1-1.git.0.04efee1.fc16 
...snip...

That means jbossas cartridge and jenkins cartridge functionality will be not available in this node.

This should be fixed.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Krishna Raman 2012-06-20 11:31:51 EDT
This is expected. I was told by legal to not make the jenkins or jboss rpms public.

If jboss and jenkins are installed before start the build, the cartridges will  automatically resolve their dependencies otherwise, the build will ignore the missing cartridges.
Comment 2 Peter Ruan 2012-06-20 12:25:02 EDT
yeah, confirmed that those two packages need to be hand-built.

Note You need to log in before you can comment on or make changes to this bug.